Package com.emc.d2fs.models.rasters

# Class Rasters.Raster

java.lang.Object
com.emc.d2fs.models.rasters.Rasters.Raster

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  Rasters

public static class Rasters.Raster extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="URI" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="BASE64URI" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Title" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Raster()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBASE64URI()`
  Gets the value of the base64URI property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `String`
  `getURI()`
  Gets the value of the uri property.
  `void`
  `setBASE64URI(String value)`
  Sets the value of the base64URI property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.
  `void`
  `setURI(String value)`
  Sets the value of the uri property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Raster

    public Raster()

- ## Method Details

  - ### getURI

    public String getURI()
    Gets the value of the uri property.
    Returns:
      possible object is `String`

  - ### setURI

    public void setURI(String value)
    Sets the value of the uri property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBASE64URI

    public String getBASE64URI()
    Gets the value of the base64URI property.
    Returns:
      possible object is `String`

  - ### setBASE64URI

    public void setBASE64URI(String value)
    Sets the value of the base64URI property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`